﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace CommandBindingWpf.ViewModel
{
    class DelegateCommand : ICommand 
    { 
        private Action m_action; 
        public DelegateCommand(Action action) 
        { this.m_action = action; } 
        public bool CanExecute(object parameter) { return true; } 
        public void Execute(object parameter) { m_action(); } 
        public event EventHandler CanExecuteChanged; 
        public void OnCanExecuteChanged() 
        { 
            CanExecuteChanged(this, EventArgs.Empty); 
        } 
    }
}
