﻿using CommandBindingWpf.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;

namespace CommandBindingWpf.ViewModel
{
    class EmployeeListView
    {
        private ICommand m_RowClickCommand;
        public EmployeeListView()
        {
            m_RowClickCommand = new DelegateCommand(() =>
            {
                var set = this.SelectedData;
                if (set != null)
                {
                    MessageBox.Show(set.FirstName, "First Name");
                }
            });
        }
        public Employee SelectedData { get; set; }
        public ICommand RowClickCommand
        {
            get
            {
                return m_RowClickCommand;
            }
        }
        public IList<Employee> EmployeeList
        {
            get
            {
                List<Employee> _list = new List<Employee>();
                _list.Add(new Employee() { FirstName = "John", LastName = "Wayne", Age = 35 });
                _list.Add(new Employee() { FirstName = "Maximus", LastName = "Decimus", Age = 33 });
                _list.Add(new Employee() { FirstName = "Alexander", LastName = "Conklin", Age = 42 });
                _list.Add(new Employee() { FirstName = "Jason", LastName = "Bourne", Age = 66 });
                return _list;
            }
        }
    }
}
